Bug 605939 - Dell M90 PBDS DVD/CDRW fails to play video DVD's
Summary: Dell M90 PBDS DVD/CDRW fails to play video DVD's
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i386 Linux
low
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-19 13:57 UTC by Jonn Taylor
Modified: 2010-06-22 12:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 12:53:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DMESG (44.31 KB, text/plain)
2010-06-19 14:39 UTC, Jonn Taylor
no flags Details
Messages from bootup until drive fails (79.18 KB, text/plain)
2010-06-19 14:40 UTC, Jonn Taylor
no flags Details

Description Jonn Taylor 2010-06-19 13:57:39 UTC
Jun 19 08:39:08 dell-m90 kernel: scsi 1:0:0:0: CD-ROM            PBDS     DVD+-RW DS-8W1P  BD1C PQ: 0 ANSI: 5
Jun 19 08:39:08 dell-m90 kernel: sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Jun 19 08:39:08 dell-m90 kernel: Uniform CD-ROM driver Revision: 3.20
Jun 19 08:39:08 dell-m90 kernel: sr 1:0:0:0: Attached scsi generic sg1 type 5

Jun 19 08:46:36 dell-m90 kernel: CE: hpet increasing min_delta_ns to 22500 nsec
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 04 00 00 00 02 00
Jun 19 08:48:56 dell-m90 kernel: end_request: I/O error, dev sr0, sector 4096
Jun 19 08:48:56 dell-m90 kernel: Buffer I/O error on device sr0, logical block 512
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 04 00 00 00 02 00
Jun 19 08:48:56 dell-m90 kernel: end_request: I/O error, dev sr0, sector 4096
Jun 19 08:48:56 dell-m90 kernel: Buffer I/O error on device sr0, logical block 512
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:48:56 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 04 00 00 00 02 00
Jun 19 08:48:56 dell-m90 kernel: end_request: I/O error, dev sr0, sector 4096
Jun 19 08:48:56 dell-m90 kernel: Buffer I/O error on device sr0, logical block 512
Jun 19 08:48:57 dell-m90 kernel: UDF-fs: Partition marked readonly; forcing readonly mount
Jun 19 08:48:57 dell-m90 kernel: UDF-fs INFO UDF: Mounting volume 'DVD_VIDEO', timestamp 2002/09/19 19:19 (1ed4)
Jun 19 08:49:08 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:49:08 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:49:08 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:49:08 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 01 da 00 00 20 00
Jun 19 08:49:08 dell-m90 kernel: end_request: I/O error, dev sr0, sector 1896
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 474
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 475
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 476
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 477
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 478
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 479
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 480
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 481
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 482
Jun 19 08:49:08 dell-m90 kernel: Buffer I/O error on device sr0, logical block 483
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 20 3a 00 00 40 00
Jun 19 08:49:09 dell-m90 kernel: end_request: I/O error, dev sr0, sector 557288
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:49:09 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 20 7a 00 00 20 00
Jun 19 08:49:09 dell-m90 kernel: end_request: I/O error, dev sr0, sector 557544
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 20 60 00 00 02 00
Jun 19 08:49:10 dell-m90 kernel: end_request: I/O error, dev sr0, sector 557440
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
Jun 19 08:49:10 dell-m90 kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 20 60 00 00 02 00
Jun 19 08:49:10 dell-m90 kernel: end_request: I/O error, dev sr0, sector 557440

Comment 1 Jonn Taylor 2010-06-19 14:16:48 UTC
Drive works fine under windows xp.

Comment 2 Jonn Taylor 2010-06-19 14:18:46 UTC
Tried this and it did not help.

http://fedoraforum.org/forum/printthread.php?t=114586&pp=80

Comment 3 Jonn Taylor 2010-06-19 14:39:29 UTC
Created attachment 425344 [details]
DMESG

Comment 4 Jonn Taylor 2010-06-19 14:40:58 UTC
Created attachment 425345 [details]
Messages from bootup until drive fails

Comment 5 Chuck Ebbert 2010-06-21 05:51:02 UTC
Go complain to the DVD CCA.

Comment 6 Jonn Taylor 2010-06-21 11:41:23 UTC
It worked under Fedora 10 until I upgraded.

Comment 7 Chuck Ebbert 2010-06-22 09:24:43 UTC
(In reply to comment #6)
> It worked under Fedora 10 until I upgraded.    

We don't provide any way of playing DVDs in Fedora.

Comment 8 Jonn Taylor 2010-06-22 12:53:12 UTC
Installing libdvdcss from Livna solved the problem.


Note You need to log in before you can comment on or make changes to this bug.